/* Generated by re2c 0.13.6.dev on Thu Aug  7 13:22:08 2008 */
#line 1 "Zend/zend_ini_scanner.l"
/*
   +----------------------------------------------------------------------+
   | Zend Engine                                                          |
   +----------------------------------------------------------------------+
   | Copyright (c) 1998-2006 Zend Technologies Ltd. (http://www.zend.com) |
   +----------------------------------------------------------------------+
   | This source file is subject to version 2.00 of the Zend license,     |
   | that is bundled with this package in the file LICENSE, and is        |
   | available through the world-wide-web at the following url:           |
   | http://www.zend.com/license/2_00.txt.                                |
   | If you did not receive a copy of the Zend license and are unable to  |
   | obtain it through the world-wide-web, please send a note to          |
   | license@zend.com so we can mail you a copy immediately.              |
   +----------------------------------------------------------------------+
   | Authors: Zeev Suraski <zeev@zend.com>                                |
   |          Jani Taskinen <jani@php.net>                                |
   |          Marcus Boerger <helly@php.net>                              |
   |          Nuno Lopes <nlopess@php.net>                                |
   |          Scott MacVicar <scottmac@php.net>                           |
   +----------------------------------------------------------------------+
*/

/* $Id: zend_ini_scanner.c,v 1.1.2.7 2008/08/07 12:23:03 nlopess Exp $ */

#include <errno.h>
#include "zend.h"
#include "zend_globals.h"
#include <zend_ini_parser.h>
#include "zend_ini_scanner.h"

#if 0
# define YYDEBUG(s, c) printf("state: %d char: %c\n", s, c)
#else
# define YYDEBUG(s, c)
#endif

#include "zend_ini_scanner_defs.h"

#define YYCTYPE   unsigned char
#define YYFILL(n) { if (YYCURSOR >= YYLIMIT) return 0; }
#define YYCURSOR  SCNG(yy_cursor)
#define YYLIMIT   SCNG(yy_limit)
#define YYMARKER  SCNG(yy_marker)

#define YYGETCONDITION()  SCNG(yy_state)
#define YYSETCONDITION(s) SCNG(yy_state) = s

#define STATE(name)  yyc##name

/* emulate flex constructs */
#define BEGIN(state) YYSETCONDITION(STATE(state))
#define YYSTATE      YYGETCONDITION()
#define yytext       ((char*)SCNG(yy_text))
#define yyleng       SCNG(yy_leng)
#define yyless(x)    YYCURSOR = yytext + x
/* #define yymore()     goto yymore_restart */

/* perform sanity check. If this message is triggered you should
   increase the ZEND_MMAP_AHEAD value in the zend_streams.h file */
#define YYMAXFILL 6
#if ZEND_MMAP_AHEAD < YYMAXFILL
# error ZEND_MMAP_AHEAD should be greater than or equal to YYMAXFILL
#endif


/* How it works (for the core ini directives):
 * ===========================================
 *
 * 1. Scanner scans file for tokens and passes them to parser.
 * 2. Parser parses the tokens and passes the name/value pairs to the callback
 *    function which stores them in the configuration hash table.
 * 3. Later REGISTER_INI_ENTRIES() is called which triggers the actual
 *    registering of ini entries and uses zend_get_configuration_directive()
 *    to fetch the previously stored name/value pair from configuration hash table
 *    and registers the static ini entries which match the name to the value
 *    into EG(ini_directives) hash table.
 * 4. PATH section entries are used per-request from down to top, each overriding
 *    previous if one exists. zend_alter_ini_entry() is called for each entry.
 *    Settings in PATH section are ZEND_INI_SYSTEM accessible and thus mimics the
 *    php_admin_* directives used within Apache httpd.conf when PHP is compiled as
 *    module for Apache.
 * 5. User defined ini files (like .htaccess for apache) are parsed for each request and
 *    stored in separate hash defined by SAPI.
 */

/* TODO: (ordered by importance :-)
 * ===============================================================================
 *
 *  - Separate constant lookup totally from plain strings (using CONSTANT pattern)
 *  - Add #if .. #else .. #endif and ==, !=, <, > , <=, >= operators
 *  - Add #include "some.ini"
 *  - Allow variables to refer to options also when using parse_ini_file()
 *
 */

/* Globals Macros */
#define SCNG	INI_SCNG
#ifdef ZTS
ZEND_API ts_rsrc_id ini_scanner_globals_id;
#else
ZEND_API zend_ini_scanner_globals ini_scanner_globals;
#endif

/* Eat trailing whitespace + extra char */
#define EAT_TRAILING_WHITESPACE_EX(ch)              \
	while (yyleng > 0 && (                          \
		(ch != 'X' && yytext[yyleng - 1] ==  ch) || \
		yytext[yyleng - 1] == '\n' ||               \
		yytext[yyleng - 1] == '\r' ||               \
		yytext[yyleng - 1] == '\t' ||               \
		yytext[yyleng - 1] == ' ')                  \
	) {                                             \
		yyleng--;                                   \
	}

/* Eat trailing whitespace */
#define EAT_TRAILING_WHITESPACE()	EAT_TRAILING_WHITESPACE_EX('X')

#define zend_ini_copy_value(retval, str, len) {  \
	Z_STRVAL_P(retval) = zend_strndup(str, len); \
	Z_STRLEN_P(retval) = len;                    \
	Z_TYPE_P(retval) = IS_STRING;                \
}

#define RETURN_TOKEN(type, str, len) {           \
	zend_ini_copy_value(ini_lval, str, len);     \
	return type;                                 \
}

static void _yy_push_state(int new_state TSRMLS_DC)
{
	zend_stack_push(&SCNG(state_stack), (void *) &YYGETCONDITION(), sizeof(int));
	YYSETCONDITION(new_state);
}

#define yy_push_state(state_and_tsrm) _yy_push_state(yyc##state_and_tsrm)

static void yy_pop_state(TSRMLS_D)
{
	int *stack_state;
	zend_stack_top(&SCNG(state_stack), (void **) &stack_state);
	YYSETCONDITION(*stack_state);
	zend_stack_del_top(&SCNG(state_stack));
}

static void yy_scan_buffer(char *str, unsigned int len TSRMLS_DC)
{
	YYCURSOR = (YYCTYPE*)str;
	SCNG(yy_start) = YYCURSOR;
	YYLIMIT  = YYCURSOR + len;
}

#define ini_filename SCNG(filename)

/* {{{ init_ini_scanner()
*/
static void init_ini_scanner(TSRMLS_D)
{
	SCNG(lineno) = 1;
	SCNG(scanner_mode) = ZEND_INI_SCANNER_NORMAL;
	zend_stack_init(&SCNG(state_stack));
	BEGIN(INITIAL);
}
/* }}} */

/* {{{ shutdown_ini_scanner()
*/
void shutdown_ini_scanner(TSRMLS_D)
{
	zend_stack_destroy(&SCNG(state_stack));
	if (ini_filename) {
		free(ini_filename);
	}
}
/* }}} */

/* {{{ zend_ini_scanner_get_lineno()
*/
int zend_ini_scanner_get_lineno(TSRMLS_D)
{
	return SCNG(lineno);
}
/* }}} */

/* {{{ zend_ini_scanner_get_filename()
*/
char *zend_ini_scanner_get_filename(TSRMLS_D)
{
	return ini_filename;
}
/* }}} */

/* {{{ zend_ini_open_file_for_scanning()
*/
int zend_ini_open_file_for_scanning(zend_file_handle *fh, int scanner_mode TSRMLS_DC)
{
	char *buf;
	size_t size;

	if (zend_stream_fixup(fh, &buf, &size TSRMLS_CC) == FAILURE) {
		return FAILURE;
	}

	init_ini_scanner(TSRMLS_C);
	SCNG(scanner_mode) = scanner_mode;
	SCNG(yy_in) = fh;
	yy_scan_buffer(buf, size TSRMLS_CC);
	ini_filename = zend_strndup(fh->filename, strlen(fh->filename));
	return SUCCESS;
}
/* }}} */

/* {{{ zend_ini_prepare_string_for_scanning()
*/
int zend_ini_prepare_string_for_scanning(char *str, int scanner_mode TSRMLS_DC)
{
	int len = strlen(str);

	init_ini_scanner(TSRMLS_C);
	SCNG(scanner_mode) = scanner_mode;
	SCNG(yy_in) = NULL;
	yy_scan_buffer(str, len TSRMLS_CC);
	ini_filename = NULL;
	return SUCCESS;
}
/* }}} */

/* {{{ zend_ini_escape_string()
 */
static void zend_ini_escape_string(zval *lval, char *str, int len, char quote_type TSRMLS_DC)
{
	register char *s, *t;
	char *end;

	zend_ini_copy_value(lval, str, len);

	/* convert escape sequences */
	s = t = Z_STRVAL_P(lval);
	end = s + Z_STRLEN_P(lval);

	while (s < end) {
		if (*s == '\\') {
			s++;
			if (s >= end) {
				continue;
			}
			switch (*s) {
				case 'n':
					*t++ = '\n';
					Z_STRLEN_P(lval)--;
					break;
				case 'r':
					*t++ = '\r';
					Z_STRLEN_P(lval)--;
					break;
				case 't':
					*t++ = '\t';
					Z_STRLEN_P(lval)--;
					break;
				case '"':
					if (*s != quote_type) {
						*t++ = '\\';
						*t++ = *s;
						break;
					}
				case '\\':
				case '$':
					*t++ = *s;
					Z_STRLEN_P(lval)--;
					break;
				default:
					*t++ = '\\';
					*t++ = *s;
					break;
			}
		} else {
			*t++ = *s;
		}
		if (*s == '\n' || (*s == '\r' && (*(s+1) != '\n'))) {
			SCNG(lineno)++;
		}
		s++;
	}
	*t = 0;
}
/* }}} */

int ini_lex(zval *ini_lval TSRMLS_DC)
{
restart:
	SCNG(yy_text) = YYCURSOR;

/* yymore_restart: */
	/* detect EOF */
	if (YYCURSOR >= YYLIMIT) {
		if (YYSTATE == STATE(ST_VALUE) || YYSTATE == STATE(ST_RAW)) {
			BEGIN(INITIAL);
			return 0;
		}
		return 0;
	}


#line 307 "Zend/zend_ini_scanner.c"
{
	YYCTYPE yych;
	unsigned int yyaccept = 0;
	if (YYGETCONDITION() < 4) {
		if (YYGETCONDITION() < 2) {
			if (YYGETCONDITION() < 1) {
				goto yyc_INITIAL;
			} else {
				goto yyc_ST_OFFSET;
			}
		} else {
			if (YYGETCONDITION() < 3) {
				goto yyc_ST_SECTION_VALUE;
			} else {
				goto yyc_ST_VALUE;
			}
		}
	} else {
		if (YYGETCONDITION() < 6) {
			if (YYGETCONDITION() < 5) {
				goto yyc_ST_SECTION_RAW;
			} else {
				goto yyc_ST_DOUBLE_QUOTES;
			}
		} else {
			if (YYGETCONDITION() < 7) {
				goto yyc_ST_VARNAME;
			} else {
				goto yyc_ST_RAW;
			}
		}
	}
/* *********************************** */
yyc_INITIAL:
	{
		static const unsigned char yybm[] = {
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 192,   0, 128, 128,   0, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			192, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 160, 160, 128, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 128, 128, 128, 128, 128, 128, 
			128, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 128, 128, 128, 128, 160, 
			128, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};

		YYDEBUG(0, *YYCURSOR);
		YYFILL(6);
		yych = *YYCURSOR;
		YYDEBUG(-1, yych);
		switch (yych) {
		case '\t':
		case ' ':	goto yy4;
		case '\n':	goto yy6;
		case '\r':	goto yy8;
		case '!':
		case '"':
		case '$':
		case '%':
		case '&':
		case '\'':
		case '(':
		case ')':
		case '*':
		case '+':
		case ',':
		case '-':
		case '.':
		case '/':
		case ':':
		case '<':
		case '>':
		case '?':
		case '@':
		case ']':
		case '^':
		case '{':
		case '|':
		case '}':
		case '~':	goto yy9;
		case '0':
		case '1':
		case '2':
		case '3':
		case '4':
		case '5':
		case '6':
		case '7':
		case '8':
		case '9':
		case 'A':
		case 'B':
		case 'C':
		case 'D':
		case 'E':
		case 'G':
		case 'H':
		case 'I':
		case 'J':
		case 'K':
		case 'L':
		case 'M':
		case 'P':
		case 'Q':
		case 'R':
		case 'S':
		case 'U':
		case 'V':
		case 'W':
		case 'X':
		case 'Z':
		case 'a':
		case 'b':
		case 'c':
		case 'd':
		case 'e':
		case 'g':
		case 'h':
		case 'i':
		case 'j':
		case 'k':
		case 'l':
		case 'm':
		case 'p':
		case 'q':
		case 'r':
		case 's':
		case 'u':
		case 'v':
		case 'w':
		case 'x':
		case 'z':	goto yy11;
		case ';':	goto yy13;
		case '=':	goto yy14;
		case 'F':
		case 'f':	goto yy16;
		case 'N':
		case 'n':	goto yy17;
		case 'O':
		case 'o':	goto yy18;
		case 'T':
		case 't':	goto yy19;
		case 'Y':
		case 'y':	goto yy20;
		case '[':	goto yy21;
		default:	goto yy2;
		}
yy2:
		YYDEBUG(2, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(3, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 493 "Zend/zend_ini_scanner.l"
		{
	return 0;
}
#line 488 "Zend/zend_ini_scanner.c"
yy4:
		YYDEBUG(4, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy56;
yy5:
		YYDEBUG(5, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 472 "Zend/zend_ini_scanner.l"
		{
	/* eat whitespace */
	goto restart;
}
#line 502 "Zend/zend_ini_scanner.c"
yy6:
		YYDEBUG(6, *YYCURSOR);
		++YYCURSOR;
yy7:
		YYDEBUG(7, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 477 "Zend/zend_ini_scanner.l"
		{
	SCNG(lineno)++;
	return END_OF_LINE;
}
#line 514 "Zend/zend_ini_scanner.c"
yy8:
		YYDEBUG(8, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy54;
		goto yy7;
yy9:
		YYDEBUG(9, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(10, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 431 "Zend/zend_ini_scanner.l"
		{ /* Disallow these chars outside option values */
	return yytext[0];
}
#line 529 "Zend/zend_ini_scanner.c"
yy11:
		YYDEBUG(11, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy24;
yy12:
		YYDEBUG(12, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 391 "Zend/zend_ini_scanner.l"
		{ /* Get option name */
	RETURN_TOKEN(TC_LABEL, yytext, yyleng);
}
#line 542 "Zend/zend_ini_scanner.c"
yy13:
		YYDEBUG(13, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy50;
yy14:
		YYDEBUG(14, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy48;
yy15:
		YYDEBUG(15, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 395 "Zend/zend_ini_scanner.l"
		{ /* Start option value */
	if (SCNG(scanner_mode) == ZEND_INI_SCANNER_RAW) {
		yy_push_state(ST_RAW TSRMLS_CC);
	} else {
		yy_push_state(ST_VALUE TSRMLS_CC);
	}
	return '=';
}
#line 565 "Zend/zend_ini_scanner.c"
yy16:
		YYDEBUG(16, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'A') goto yy44;
		if (yych == 'a') goto yy44;
		goto yy24;
yy17:
		YYDEBUG(17, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'U') {
			if (yych == 'O') goto yy40;
			if (yych <= 'T') goto yy24;
			goto yy41;
		} else {
			if (yych <= 'o') {
				if (yych <= 'n') goto yy24;
				goto yy40;
			} else {
				if (yych == 'u') goto yy41;
				goto yy24;
			}
		}
yy18:
		YYDEBUG(18, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'N') {
			if (yych == 'F') goto yy35;
			if (yych <= 'M') goto yy24;
			goto yy29;
		} else {
			if (yych <= 'f') {
				if (yych <= 'e') goto yy24;
				goto yy35;
			} else {
				if (yych == 'n') goto yy29;
				goto yy24;
			}
		}
yy19:
		YYDEBUG(19, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'R') goto yy33;
		if (yych == 'r') goto yy33;
		goto yy24;
yy20:
		YYDEBUG(20, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy25;
		if (yych == 'e') goto yy25;
		goto yy24;
yy21:
		YYDEBUG(21, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(22, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 329 "Zend/zend_ini_scanner.l"
		{ /* Section start */
	/* Enter section data lookup state */
	if (SCNG(scanner_mode) == ZEND_INI_SCANNER_RAW) {
		yy_push_state(ST_SECTION_RAW TSRMLS_CC);
	} else {
		yy_push_state(ST_SECTION_VALUE TSRMLS_CC);
	}
	return TC_SECTION;
}
#line 631 "Zend/zend_ini_scanner.c"
yy23:
		YYDEBUG(23, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy24:
		YYDEBUG(24, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy23;
		}
		if (yych == '[') goto yy26;
		goto yy12;
yy25:
		YYDEBUG(25, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy29;
		if (yych == 's') goto yy29;
		goto yy24;
yy26:
		YYDEBUG(26, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(27, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy26;
		}
		YYDEBUG(28, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 354 "Zend/zend_ini_scanner.l"
		{ /* Start of option with offset */
	/* Eat trailing whitespace and [ */
	EAT_TRAILING_WHITESPACE_EX('[');

	/* Enter offset lookup state */
	yy_push_state(ST_OFFSET TSRMLS_CC);

	RETURN_TOKEN(TC_OFFSET, yytext, yyleng);
}
#line 671 "Zend/zend_ini_scanner.c"
yy29:
		YYDEBUG(29, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 32) {
			goto yy23;
		}
		if (yych == '[') goto yy26;
		goto yy32;
yy30:
		YYDEBUG(30, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 383 "Zend/zend_ini_scanner.l"
		{ /* TRUE value (when used outside option value/offset this causes parse error!) */
	RETURN_TOKEN(BOOL_TRUE, "1", 1);
}
#line 687 "Zend/zend_ini_scanner.c"
yy31:
		YYDEBUG(31, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy32:
		YYDEBUG(32, *YYCURSOR);
		if (yych == '\t') goto yy31;
		if (yych == ' ') goto yy31;
		goto yy30;
yy33:
		YYDEBUG(33, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'U') goto yy34;
		if (yych != 'u') goto yy24;
yy34:
		YYDEBUG(34, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy29;
		if (yych == 'e') goto yy29;
		goto yy24;
yy35:
		YYDEBUG(35, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'F') goto yy36;
		if (yych != 'f') goto yy24;
yy36:
		YYDEBUG(36, *YYCURSOR);
		++YYCURSOR;
		if (yybm[0+(yych = *YYCURSOR)] & 32) {
			goto yy23;
		}
		if (yych == '[') goto yy26;
		goto yy39;
yy37:
		YYDEBUG(37, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 387 "Zend/zend_ini_scanner.l"
		{ /* FALSE value (when used outside option value/offset this causes parse error!)*/
	RETURN_TOKEN(BOOL_FALSE, "", 0);
}
#line 729 "Zend/zend_ini_scanner.c"
yy38:
		YYDEBUG(38, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy39:
		YYDEBUG(39, *YYCURSOR);
		if (yych == '\t') goto yy38;
		if (yych == ' ') goto yy38;
		goto yy37;
yy40:
		YYDEBUG(40, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= 'Z') {
			if (yych <= '9') {
				if (yych <= ',') goto yy39;
				if (yych == '/') goto yy39;
				goto yy23;
			} else {
				if (yych <= '@') goto yy39;
				if (yych == 'N') goto yy43;
				goto yy23;
			}
		} else {
			if (yych <= '`') {
				if (yych <= '[') goto yy26;
				if (yych == '_') goto yy23;
				goto yy39;
			} else {
				if (yych == 'n') goto yy43;
				if (yych <= 'z') goto yy23;
				goto yy39;
			}
		}
yy41:
		YYDEBUG(41, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy42;
		if (yych != 'l') goto yy24;
yy42:
		YYDEBUG(42, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy36;
		if (yych == 'l') goto yy36;
		goto yy24;
yy43:
		YYDEBUG(43, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy36;
		if (yych == 'e') goto yy36;
		goto yy24;
yy44:
		YYDEBUG(44, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'L') goto yy45;
		if (yych != 'l') goto yy24;
yy45:
		YYDEBUG(45, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'S') goto yy46;
		if (yych != 's') goto yy24;
yy46:
		YYDEBUG(46, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == 'E') goto yy36;
		if (yych == 'e') goto yy36;
		goto yy24;
yy47:
		YYDEBUG(47, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy48:
		YYDEBUG(48, *YYCURSOR);
		if (yych == '\t') goto yy47;
		if (yych == ' ') goto yy47;
		goto yy15;
yy49:
		YYDEBUG(49, *YYCURSOR);
		++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
yy50:
		YYDEBUG(50, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy49;
		}
		if (yych >= '\r') goto yy53;
yy51:
		YYDEBUG(51, *YYCURSOR);
		++YYCURSOR;
yy52:
		YYDEBUG(52, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 482 "Zend/zend_ini_scanner.l"
		{ /* Comment */
	BEGIN(INITIAL);
	SCNG(lineno)++;
	return END_OF_LINE;
}
#line 830 "Zend/zend_ini_scanner.c"
yy53:
		YYDEBUG(53, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy51;
		goto yy52;
yy54:
		YYDEBUG(54, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy7;
yy55:
		YYDEBUG(55, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
yy56:
		YYDEBUG(56, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych <= '\n') {
				if (yych <= 0x08) goto yy5;
				if (yych <= '\t') goto yy55;
				goto yy54;
			} else {
				if (yych != '\r') goto yy5;
			}
		} else {
			if (yych <= ';') {
				if (yych <= ' ') goto yy55;
				if (yych <= ':') goto yy5;
				goto yy49;
			} else {
				if (yych == '=') goto yy47;
				goto yy5;
			}
		}
		YYDEBUG(57, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '\n') goto yy54;
		goto yy7;
	}
/* *********************************** */
yyc_ST_DOUBLE_QUOTES:
	{
		static const unsigned char yybm[] = {
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16, 144,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			144,  16,   0,  16,  32,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  64,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
			 16,  16,  16,  16,  16,  16,  16,  16, 
		};
		YYDEBUG(58, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yych <= '#') {
			if (yych == '"') goto yy62;
		} else {
			if (yych <= '$') goto yy64;
			if (yych == '\\') goto yy66;
		}
		YYDEBUG(60, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy68;
yy61:
		YYDEBUG(61, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 458 "Zend/zend_ini_scanner.l"
		{ /* Escape double quoted string contents */
	zend_ini_escape_string(ini_lval, yytext, yyleng, '"' TSRMLS_CC);
	return TC_QUOTED_STRING;
}
#line 929 "Zend/zend_ini_scanner.c"
yy62:
		YYDEBUG(62, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy81;
yy63:
		YYDEBUG(63, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 463 "Zend/zend_ini_scanner.l"
		{ /* Double quoted '"' string ends */
	yy_pop_state(TSRMLS_C);
	return '"';
}
#line 943 "Zend/zend_ini_scanner.c"
yy64:
		YYDEBUG(64, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) <= '\\') {
			if (yych <= 0x00) goto yy65;
			if (yych <= '[') goto yy67;
			goto yy72;
		} else {
			if (yych == '{') goto yy78;
			goto yy67;
		}
yy65:
		YYDEBUG(65, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 493 "Zend/zend_ini_scanner.l"
		{
	return 0;
}
#line 962 "Zend/zend_ini_scanner.c"
yy66:
		YYDEBUG(66, *YYCURSOR);
		yych = *++YYCURSOR;
yy67:
		YYDEBUG(67, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy68:
		YYDEBUG(68, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy67;
		}
		if (yych <= '#') goto yy61;
		if (yych <= '$') goto yy70;
		YYDEBUG(69, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		goto yy67;
yy70:
		YYDEBUG(70, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych <= '\\') {
			if (yych <= 0x00) goto yy71;
			if (yych <= '[') goto yy67;
			goto yy72;
		} else {
			if (yych != '{') goto yy67;
		}
yy71:
		YYDEBUG(71, *YYCURSOR);
		YYCURSOR = YYMARKER;
		goto yy61;
yy72:
		YYDEBUG(72, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 32) {
			goto yy73;
		}
		if (yych == '\\') goto yy75;
		goto yy67;
yy73:
		YYDEBUG(73, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(74, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy73;
		}
		if (yych == '\\') goto yy77;
		goto yy67;
yy75:
		YYDEBUG(75, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(76, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy73;
		}
		if (yych == '\\') goto yy75;
		goto yy67;
yy77:
		YYDEBUG(77, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 32) {
			goto yy73;
		}
		if (yych == '\\') goto yy75;
		goto yy67;
yy78:
		YYDEBUG(78, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(79, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 369 "Zend/zend_ini_scanner.l"
		{ /* Variable start */
	yy_push_state(ST_VARNAME TSRMLS_CC);
	return TC_DOLLAR_CURLY;
}
#line 1052 "Zend/zend_ini_scanner.c"
yy80:
		YYDEBUG(80, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy81:
		YYDEBUG(81, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy80;
		}
		goto yy63;
	}
/* *********************************** */
yyc_ST_OFFSET:
	{
		static const unsigned char yybm[] = {
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66, 194,  64,  66,  66,  64,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			194,  66,  64,  66,  68,  66,  66,   0, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			114, 114, 114, 114, 114, 114, 114, 114, 
			114, 114,  66,  64,  66,  66,  66,  66, 
			 66,  82,  82,  82,  82,  82,  82,  82, 
			 82,  82,  82,  82,  82,  82,  82,  82, 
			 82,  82,  82,  82,  82,  82,  82,  82, 
			 82,  82,  82,  66,  72,  64,  66,  82, 
			 66,  82,  82,  82,  82,  82,  82,  82, 
			 82,  82,  82,  82,  82,  82,  82,  82, 
			 82,  82,  82,  82,  82,  82,  82,  82, 
			 82,  82,  82,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
			 66,  66,  66,  66,  66,  66,  66,  66, 
		};
		YYDEBUG(82, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yych <= ',') {
			if (yych <= ' ') {
				if (yych <= '\n') {
					if (yych <= 0x08) goto yy84;
					if (yych <= '\t') goto yy86;
					goto yy87;
				} else {
					if (yych == '\r') goto yy87;
					if (yych >= ' ') goto yy86;
				}
			} else {
				if (yych <= '#') {
					if (yych == '"') goto yy89;
				} else {
					if (yych <= '$') goto yy91;
					if (yych == '\'') goto yy92;
				}
			}
		} else {
			if (yych <= '@') {
				if (yych <= '/') {
					if (yych <= '-') goto yy93;
					if (yych <= '.') goto yy94;
				} else {
					if (yych <= '9') goto yy95;
					if (yych == ';') goto yy87;
				}
			} else {
				if (yych <= '\\') {
					if (yych <= 'Z') goto yy97;
					if (yych >= '\\') goto yy99;
				} else {
					if (yych <= ']') goto yy100;
					if (yych <= '`') goto yy84;
					if (yych <= 'z') goto yy97;
				}
			}
		}
yy84:
		YYDEBUG(84, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy103;
yy85:
		YYDEBUG(85, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 449 "Zend/zend_ini_scanner.l"
		{ /* Get rest as section/offset value */
	RETURN_TOKEN(TC_STRING, yytext, yyleng);
}
#line 1155 "Zend/zend_ini_scanner.c"
yy86:
		YYDEBUG(86, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy129;
		}
		if (yych == '"') goto yy131;
		if (yych == ']') goto yy132;
		goto yy103;
yy87:
		YYDEBUG(87, *YYCURSOR);
		++YYCURSOR;
yy88:
		YYDEBUG(88, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 493 "Zend/zend_ini_scanner.l"
		{
	return 0;
}
#line 1176 "Zend/zend_ini_scanner.c"
yy89:
		YYDEBUG(89, *YYCURSOR);
		++YYCURSOR;
yy90:
		YYDEBUG(90, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 453 "Zend/zend_ini_scanner.l"
		{ /* Double quoted '"' string start */
	yy_push_state(ST_DOUBLE_QUOTES TSRMLS_CC);
	return '"';
}
#line 1188 "Zend/zend_ini_scanner.c"
yy91:
		YYDEBUG(91, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '\\') {
			if (yych <= 0x00) goto yy88;
			if (yych <= '[') goto yy102;
			goto yy107;
		} else {
			if (yych == '{') goto yy127;
			goto yy102;
		}
yy92:
		YYDEBUG(92, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy123;
		}
		goto yy88;
yy93:
		YYDEBUG(93, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '/') goto yy103;
		if (yych <= '9') goto yy121;
		goto yy103;
yy94:
		YYDEBUG(94, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '/') goto yy103;
		if (yych <= '9') goto yy119;
		goto yy103;
yy95:
		YYDEBUG(95, *YYCURSOR);
		yyaccept = 2;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '\'') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy96;
				if (yych <= '\f') goto yy103;
			} else {
				if (yych == '"') goto yy96;
				if (yych <= '&') goto yy103;
			}
		} else {
			if (yych <= '9') {
				if (yych == '.') goto yy115;
				if (yych <= '/') goto yy103;
				goto yy117;
			} else {
				if (yych <= ';') {
					if (yych <= ':') goto yy103;
				} else {
					if (yych != ']') goto yy103;
				}
			}
		}
yy96:
		YYDEBUG(96, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 427 "Zend/zend_ini_scanner.l"
		{ /* Get number option value as string */
	RETURN_TOKEN(TC_NUMBER, yytext, yyleng);
}
#line 1254 "Zend/zend_ini_scanner.c"
yy97:
		YYDEBUG(97, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy113;
		}
		if (yych <= '"') {
			if (yych <= '\f') {
				if (yych != '\n') goto yy103;
			} else {
				if (yych <= '\r') goto yy98;
				if (yych <= '!') goto yy103;
			}
		} else {
			if (yych <= ':') {
				if (yych != '\'') goto yy103;
			} else {
				if (yych <= ';') goto yy98;
				if (yych != ']') goto yy103;
			}
		}
yy98:
		YYDEBUG(98, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 423 "Zend/zend_ini_scanner.l"
		{ /* Get constant option value */
	RETURN_TOKEN(TC_CONSTANT, yytext, yyleng);
}
#line 1284 "Zend/zend_ini_scanner.c"
yy99:
		YYDEBUG(99, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy102;
yy100:
		YYDEBUG(100, *YYCURSOR);
		++YYCURSOR;
yy101:
		YYDEBUG(101, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 364 "Zend/zend_ini_scanner.l"
		{ /* End of section or an option offset */
	BEGIN(INITIAL);
	return ']';
}
#line 1300 "Zend/zend_ini_scanner.c"
yy102:
		YYDEBUG(102, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy103:
		YYDEBUG(103, *YYCURSOR);
		if (yybm[0+yych] & 2) {
			goto yy102;
		}
		if (yych == '$') goto yy105;
		if (yych != '\\') goto yy85;
yy104:
		YYDEBUG(104, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		goto yy102;
yy105:
		YYDEBUG(105, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych <= '\\') {
			if (yych <= 0x00) goto yy106;
			if (yych <= '[') goto yy102;
			goto yy107;
		} else {
			if (yych != '{') goto yy102;
		}
yy106:
		YYDEBUG(106, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept <= 1) {
			if (yyaccept <= 0) {
				goto yy85;
			} else {
				goto yy88;
			}
		} else {
			if (yyaccept <= 2) {
				goto yy96;
			} else {
				goto yy98;
			}
		}
yy107:
		YYDEBUG(107, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 4) {
			goto yy108;
		}
		if (yych == '\\') goto yy110;
		goto yy102;
yy108:
		YYDEBUG(108, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(109, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy108;
		}
		if (yych == '\\') goto yy112;
		goto yy102;
yy110:
		YYDEBUG(110, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(111, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy108;
		}
		if (yych == '\\') goto yy110;
		goto yy102;
yy112:
		YYDEBUG(112, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 4) {
			goto yy108;
		}
		if (yych == '\\') goto yy110;
		goto yy102;
yy113:
		YYDEBUG(113, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(114, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy113;
		}
		if (yych <= '$') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy98;
				if (yych <= '\f') goto yy102;
				goto yy98;
			} else {
				if (yych == '"') goto yy98;
				if (yych <= '#') goto yy102;
				goto yy105;
			}
		} else {
			if (yych <= ';') {
				if (yych == '\'') goto yy98;
				if (yych <= ':') goto yy102;
				goto yy98;
			} else {
				if (yych <= '[') goto yy102;
				if (yych <= '\\') goto yy104;
				if (yych <= ']') goto yy98;
				goto yy102;
			}
		}
yy115:
		YYDEBUG(115, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(116, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy115;
		}
		if (yych <= '$') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy96;
				if (yych <= '\f') goto yy102;
				goto yy96;
			} else {
				if (yych == '"') goto yy96;
				if (yych <= '#') goto yy102;
				goto yy105;
			}
		} else {
			if (yych <= ';') {
				if (yych == '\'') goto yy96;
				if (yych <= ':') goto yy102;
				goto yy96;
			} else {
				if (yych <= '[') goto yy102;
				if (yych <= '\\') goto yy104;
				if (yych <= ']') goto yy96;
				goto yy102;
			}
		}
yy117:
		YYDEBUG(117, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(118, *YYCURSOR);
		if (yych <= '\'') {
			if (yych <= '!') {
				if (yych <= '\n') {
					if (yych <= '\t') goto yy102;
					goto yy96;
				} else {
					if (yych == '\r') goto yy96;
					goto yy102;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '"') goto yy96;
					goto yy102;
				} else {
					if (yych <= '$') goto yy105;
					if (yych <= '&') goto yy102;
					goto yy96;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '.') {
					if (yych <= '-') goto yy102;
					goto yy115;
				} else {
					if (yych <= '/') goto yy102;
					if (yych <= '9') goto yy117;
					goto yy102;
				}
			} else {
				if (yych <= '[') {
					if (yych <= ';') goto yy96;
					goto yy102;
				} else {
					if (yych <= '\\') goto yy104;
					if (yych <= ']') goto yy96;
					goto yy102;
				}
			}
		}
yy119:
		YYDEBUG(119, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(120, *YYCURSOR);
		if (yych <= '&') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy96;
				if (yych <= '\f') goto yy102;
				goto yy96;
			} else {
				if (yych <= '"') {
					if (yych <= '!') goto yy102;
					goto yy96;
				} else {
					if (yych == '$') goto yy105;
					goto yy102;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '\'') goto yy96;
				if (yych <= '/') goto yy102;
				if (yych <= '9') goto yy119;
				goto yy102;
			} else {
				if (yych <= '[') {
					if (yych <= ';') goto yy96;
					goto yy102;
				} else {
					if (yych <= '\\') goto yy104;
					if (yych <= ']') goto yy96;
					goto yy102;
				}
			}
		}
yy121:
		YYDEBUG(121, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(122, *YYCURSOR);
		if (yych <= '&') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy96;
				if (yych <= '\f') goto yy102;
				goto yy96;
			} else {
				if (yych <= '"') {
					if (yych <= '!') goto yy102;
					goto yy96;
				} else {
					if (yych == '$') goto yy105;
					goto yy102;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '\'') goto yy96;
				if (yych <= '/') goto yy102;
				if (yych <= '9') goto yy121;
				goto yy102;
			} else {
				if (yych <= '[') {
					if (yych <= ';') goto yy96;
					goto yy102;
				} else {
					if (yych <= '\\') goto yy104;
					if (yych <= ']') goto yy96;
					goto yy102;
				}
			}
		}
yy123:
		YYDEBUG(123, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(124, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy123;
		}
		YYDEBUG(125, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(126, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 339 "Zend/zend_ini_scanner.l"
		{ /* Raw string */
	/* Eat leading and trailing single quotes */
	if (yytext[0] == '\'' && yytext[yyleng - 1] == '\'') {
		SCNG(yy_text)++;
		yyleng = yyleng - 2;
	}
	RETURN_TOKEN(TC_RAW, yytext, yyleng);
}
#line 1599 "Zend/zend_ini_scanner.c"
yy127:
		YYDEBUG(127, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(128, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 369 "Zend/zend_ini_scanner.l"
		{ /* Variable start */
	yy_push_state(ST_VARNAME TSRMLS_CC);
	return TC_DOLLAR_CURLY;
}
#line 1610 "Zend/zend_ini_scanner.c"
yy129:
		YYDEBUG(129, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(130, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy129;
		}
		if (yych <= '$') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy85;
				if (yych <= '\f') goto yy102;
				goto yy85;
			} else {
				if (yych == '"') goto yy131;
				if (yych <= '#') goto yy102;
				goto yy105;
			}
		} else {
			if (yych <= ';') {
				if (yych == '\'') goto yy85;
				if (yych <= ':') goto yy102;
				goto yy85;
			} else {
				if (yych <= '[') goto yy102;
				if (yych <= '\\') goto yy104;
				if (yych <= ']') goto yy132;
				goto yy102;
			}
		}
yy131:
		YYDEBUG(131, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy90;
yy132:
		YYDEBUG(132, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy101;
	}
/* *********************************** */
yyc_ST_RAW:
	{
		static const unsigned char yybm[] = {
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 224,   0, 160, 160,   0, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			224, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160,  32, 160,  32, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
			160, 160, 160, 160, 160, 160, 160, 160, 
		};
		YYDEBUG(133, *YYCURSOR);
		YYFILL(3);
		yych = *YYCURSOR;
		if (yych <= 0x1F) {
			if (yych <= '\n') {
				if (yych <= 0x08) goto yy135;
				if (yych <= '\t') goto yy137;
				goto yy138;
			} else {
				if (yych == '\r') goto yy140;
			}
		} else {
			if (yych <= ';') {
				if (yych <= ' ') goto yy137;
				if (yych >= ';') goto yy141;
			} else {
				if (yych == '=') goto yy143;
			}
		}
yy135:
		YYDEBUG(135, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy154;
yy136:
		YYDEBUG(136, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 404 "Zend/zend_ini_scanner.l"
		{ /* Raw value, only used when SCNG(scanner_mode) == ZEND_INI_SCANNER_RAW. */
	/* Eat leading and trailing double quotes */
	if (yytext[0] == '"' && yytext[yyleng - 1] == '"') {
		SCNG(yy_text)++;
		yyleng = yyleng - 2;
	}
	RETURN_TOKEN(TC_RAW, yytext, yyleng);
}
#line 1726 "Zend/zend_ini_scanner.c"
yy137:
		YYDEBUG(137, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy150;
		}
		if (yych <= '\f') {
			if (yych == '\n') goto yy149;
			goto yy154;
		} else {
			if (yych <= '\r') goto yy152;
			if (yych == ';') goto yy144;
			goto yy154;
		}
yy138:
		YYDEBUG(138, *YYCURSOR);
		++YYCURSOR;
yy139:
		YYDEBUG(139, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 417 "Zend/zend_ini_scanner.l"
		{ /* End of option value */
	BEGIN(INITIAL);
	SCNG(lineno)++;
	return END_OF_LINE;
}
#line 1754 "Zend/zend_ini_scanner.c"
yy140:
		YYDEBUG(140, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy149;
		goto yy139;
yy141:
		YYDEBUG(141, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy145;
yy142:
		YYDEBUG(142, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 488 "Zend/zend_ini_scanner.l"
		{ /* End of option value (if EOF is reached before EOL */
	BEGIN(INITIAL);
	return END_OF_LINE;
}
#line 1773 "Zend/zend_ini_scanner.c"
yy143:
		YYDEBUG(143, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy142;
yy144:
		YYDEBUG(144, *YYCURSOR);
		++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
yy145:
		YYDEBUG(145, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy144;
		}
		if (yych >= '\r') goto yy148;
yy146:
		YYDEBUG(146, *YYCURSOR);
		++YYCURSOR;
yy147:
		YYDEBUG(147, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 482 "Zend/zend_ini_scanner.l"
		{ /* Comment */
	BEGIN(INITIAL);
	SCNG(lineno)++;
	return END_OF_LINE;
}
#line 1801 "Zend/zend_ini_scanner.c"
yy148:
		YYDEBUG(148, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy146;
		goto yy147;
yy149:
		YYDEBUG(149, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy139;
yy150:
		YYDEBUG(150, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
		YYDEBUG(151, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy150;
		}
		if (yych <= '\r') {
			if (yych == '\n') goto yy149;
			if (yych <= '\f') goto yy153;
		} else {
			if (yych <= ';') {
				if (yych <= ':') goto yy153;
				goto yy144;
			} else {
				if (yych == '=') goto yy136;
				goto yy153;
			}
		}
yy152:
		YYDEBUG(152, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy149;
		goto yy139;
yy153:
		YYDEBUG(153, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy154:
		YYDEBUG(154, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy153;
		}
		goto yy136;
	}
/* *********************************** */
yyc_ST_SECTION_RAW:
	{
		static const unsigned char yybm[] = {
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 192,   0, 128, 128,   0, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			192, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128,   0, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
		};
		YYDEBUG(155, *YYCURSOR);
		YYFILL(3);
		yych = *YYCURSOR;
		if (yych <= '\f') {
			if (yych == '\n') goto yy159;
		} else {
			if (yych <= '\r') goto yy159;
			if (yych == ']') goto yy161;
		}
		YYDEBUG(157, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy168;
yy158:
		YYDEBUG(158, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 413 "Zend/zend_ini_scanner.l"
		{ /* Raw value, only used when SCNG(scanner_mode) == ZEND_INI_SCANNER_RAW. */
	RETURN_TOKEN(TC_RAW, yytext, yyleng);
}
#line 1907 "Zend/zend_ini_scanner.c"
yy159:
		YYDEBUG(159, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(160, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 493 "Zend/zend_ini_scanner.l"
		{
	return 0;
}
#line 1917 "Zend/zend_ini_scanner.c"
yy161:
		YYDEBUG(161, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy164;
yy162:
		YYDEBUG(162, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 348 "Zend/zend_ini_scanner.l"
		{ /* End of section */
	BEGIN(INITIAL);
	SCNG(lineno)++;
	return ']';
}
#line 1932 "Zend/zend_ini_scanner.c"
yy163:
		YYDEBUG(163, *YYCURSOR);
		++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
yy164:
		YYDEBUG(164, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy163;
		}
		if (yych == '\n') goto yy165;
		if (yych == '\r') goto yy166;
		goto yy162;
yy165:
		YYDEBUG(165, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy162;
yy166:
		YYDEBUG(166, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy165;
		goto yy162;
yy167:
		YYDEBUG(167, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy168:
		YYDEBUG(168, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy167;
		}
		goto yy158;
	}
/* *********************************** */
yyc_ST_SECTION_VALUE:
	{
		static const unsigned char yybm[] = {
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 134, 128, 132, 132, 128, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			134, 132, 128, 132, 136, 132, 132,   0, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			228, 228, 228, 228, 228, 228, 228, 228, 
			228, 228, 132, 128, 132, 132, 132, 132, 
			132, 164, 164, 164, 164, 164, 164, 164, 
			164, 164, 164, 164, 164, 164, 164, 164, 
			164, 164, 164, 164, 164, 164, 164, 164, 
			164, 164, 164, 132, 144, 128, 132, 164, 
			132, 164, 164, 164, 164, 164, 164, 164, 
			164, 164, 164, 164, 164, 164, 164, 164, 
			164, 164, 164, 164, 164, 164, 164, 164, 
			164, 164, 164, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
			132, 132, 132, 132, 132, 132, 132, 132, 
		};
		YYDEBUG(169, *YYCURSOR);
		YYFILL(3);
		yych = *YYCURSOR;
		if (yych <= ',') {
			if (yych <= ' ') {
				if (yych <= '\n') {
					if (yych <= 0x08) goto yy171;
					if (yych <= '\t') goto yy173;
					goto yy174;
				} else {
					if (yych == '\r') goto yy174;
					if (yych >= ' ') goto yy173;
				}
			} else {
				if (yych <= '#') {
					if (yych == '"') goto yy176;
				} else {
					if (yych <= '$') goto yy178;
					if (yych == '\'') goto yy179;
				}
			}
		} else {
			if (yych <= '@') {
				if (yych <= '/') {
					if (yych <= '-') goto yy180;
					if (yych <= '.') goto yy181;
				} else {
					if (yych <= '9') goto yy182;
					if (yych == ';') goto yy174;
				}
			} else {
				if (yych <= '\\') {
					if (yych <= 'Z') goto yy184;
					if (yych >= '\\') goto yy186;
				} else {
					if (yych <= ']') goto yy187;
					if (yych <= '`') goto yy171;
					if (yych <= 'z') goto yy184;
				}
			}
		}
yy171:
		YYDEBUG(171, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy194;
yy172:
		YYDEBUG(172, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 449 "Zend/zend_ini_scanner.l"
		{ /* Get rest as section/offset value */
	RETURN_TOKEN(TC_STRING, yytext, yyleng);
}
#line 2057 "Zend/zend_ini_scanner.c"
yy173:
		YYDEBUG(173, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 0x1F) {
			if (yych == '\t') goto yy220;
			goto yy194;
		} else {
			if (yych <= ' ') goto yy220;
			if (yych == '"') goto yy222;
			goto yy194;
		}
yy174:
		YYDEBUG(174, *YYCURSOR);
		++YYCURSOR;
yy175:
		YYDEBUG(175, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 493 "Zend/zend_ini_scanner.l"
		{
	return 0;
}
#line 2080 "Zend/zend_ini_scanner.c"
yy176:
		YYDEBUG(176, *YYCURSOR);
		++YYCURSOR;
yy177:
		YYDEBUG(177, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 453 "Zend/zend_ini_scanner.l"
		{ /* Double quoted '"' string start */
	yy_push_state(ST_DOUBLE_QUOTES TSRMLS_CC);
	return '"';
}
#line 2092 "Zend/zend_ini_scanner.c"
yy178:
		YYDEBUG(178, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '\\') {
			if (yych <= 0x00) goto yy175;
			if (yych <= '[') goto yy193;
			goto yy198;
		} else {
			if (yych == '{') goto yy218;
			goto yy193;
		}
yy179:
		YYDEBUG(179, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy214;
		}
		goto yy175;
yy180:
		YYDEBUG(180, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '/') goto yy194;
		if (yych <= '9') goto yy212;
		goto yy194;
yy181:
		YYDEBUG(181, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '/') goto yy194;
		if (yych <= '9') goto yy210;
		goto yy194;
yy182:
		YYDEBUG(182, *YYCURSOR);
		yyaccept = 2;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '\'') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy183;
				if (yych <= '\f') goto yy194;
			} else {
				if (yych == '"') goto yy183;
				if (yych <= '&') goto yy194;
			}
		} else {
			if (yych <= '9') {
				if (yych == '.') goto yy206;
				if (yych <= '/') goto yy194;
				goto yy208;
			} else {
				if (yych <= ';') {
					if (yych <= ':') goto yy194;
				} else {
					if (yych != ']') goto yy194;
				}
			}
		}
yy183:
		YYDEBUG(183, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 427 "Zend/zend_ini_scanner.l"
		{ /* Get number option value as string */
	RETURN_TOKEN(TC_NUMBER, yytext, yyleng);
}
#line 2158 "Zend/zend_ini_scanner.c"
yy184:
		YYDEBUG(184, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy204;
		}
		if (yych <= '"') {
			if (yych <= '\f') {
				if (yych != '\n') goto yy194;
			} else {
				if (yych <= '\r') goto yy185;
				if (yych <= '!') goto yy194;
			}
		} else {
			if (yych <= ':') {
				if (yych != '\'') goto yy194;
			} else {
				if (yych <= ';') goto yy185;
				if (yych != ']') goto yy194;
			}
		}
yy185:
		YYDEBUG(185, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 423 "Zend/zend_ini_scanner.l"
		{ /* Get constant option value */
	RETURN_TOKEN(TC_CONSTANT, yytext, yyleng);
}
#line 2188 "Zend/zend_ini_scanner.c"
yy186:
		YYDEBUG(186, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy193;
yy187:
		YYDEBUG(187, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy190;
yy188:
		YYDEBUG(188, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 348 "Zend/zend_ini_scanner.l"
		{ /* End of section */
	BEGIN(INITIAL);
	SCNG(lineno)++;
	return ']';
}
#line 2207 "Zend/zend_ini_scanner.c"
yy189:
		YYDEBUG(189, *YYCURSOR);
		++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
yy190:
		YYDEBUG(190, *YYCURSOR);
		if (yybm[0+yych] & 2) {
			goto yy189;
		}
		if (yych == '\n') goto yy191;
		if (yych == '\r') goto yy192;
		goto yy188;
yy191:
		YYDEBUG(191, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy188;
yy192:
		YYDEBUG(192, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy191;
		goto yy188;
yy193:
		YYDEBUG(193, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy194:
		YYDEBUG(194, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy193;
		}
		if (yych == '$') goto yy196;
		if (yych != '\\') goto yy172;
yy195:
		YYDEBUG(195, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		goto yy193;
yy196:
		YYDEBUG(196, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych <= '\\') {
			if (yych <= 0x00) goto yy197;
			if (yych <= '[') goto yy193;
			goto yy198;
		} else {
			if (yych != '{') goto yy193;
		}
yy197:
		YYDEBUG(197, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept <= 1) {
			if (yyaccept <= 0) {
				goto yy172;
			} else {
				goto yy175;
			}
		} else {
			if (yyaccept <= 2) {
				goto yy183;
			} else {
				goto yy185;
			}
		}
yy198:
		YYDEBUG(198, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 8) {
			goto yy199;
		}
		if (yych == '\\') goto yy201;
		goto yy193;
yy199:
		YYDEBUG(199, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(200, *YYCURSOR);
		if (yybm[0+yych] & 8) {
			goto yy199;
		}
		if (yych == '\\') goto yy203;
		goto yy193;
yy201:
		YYDEBUG(201, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(202, *YYCURSOR);
		if (yybm[0+yych] & 8) {
			goto yy199;
		}
		if (yych == '\\') goto yy201;
		goto yy193;
yy203:
		YYDEBUG(203, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 8) {
			goto yy199;
		}
		if (yych == '\\') goto yy201;
		goto yy193;
yy204:
		YYDEBUG(204, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(205, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy204;
		}
		if (yych <= '$') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy185;
				if (yych <= '\f') goto yy193;
				goto yy185;
			} else {
				if (yych == '"') goto yy185;
				if (yych <= '#') goto yy193;
				goto yy196;
			}
		} else {
			if (yych <= ';') {
				if (yych == '\'') goto yy185;
				if (yych <= ':') goto yy193;
				goto yy185;
			} else {
				if (yych <= '[') goto yy193;
				if (yych <= '\\') goto yy195;
				if (yych <= ']') goto yy185;
				goto yy193;
			}
		}
yy206:
		YYDEBUG(206, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(207, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy206;
		}
		if (yych <= '$') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy183;
				if (yych <= '\f') goto yy193;
				goto yy183;
			} else {
				if (yych == '"') goto yy183;
				if (yych <= '#') goto yy193;
				goto yy196;
			}
		} else {
			if (yych <= ';') {
				if (yych == '\'') goto yy183;
				if (yych <= ':') goto yy193;
				goto yy183;
			} else {
				if (yych <= '[') goto yy193;
				if (yych <= '\\') goto yy195;
				if (yych <= ']') goto yy183;
				goto yy193;
			}
		}
yy208:
		YYDEBUG(208, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(209, *YYCURSOR);
		if (yych <= '\'') {
			if (yych <= '!') {
				if (yych <= '\n') {
					if (yych <= '\t') goto yy193;
					goto yy183;
				} else {
					if (yych == '\r') goto yy183;
					goto yy193;
				}
			} else {
				if (yych <= '#') {
					if (yych <= '"') goto yy183;
					goto yy193;
				} else {
					if (yych <= '$') goto yy196;
					if (yych <= '&') goto yy193;
					goto yy183;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '.') {
					if (yych <= '-') goto yy193;
					goto yy206;
				} else {
					if (yych <= '/') goto yy193;
					if (yych <= '9') goto yy208;
					goto yy193;
				}
			} else {
				if (yych <= '[') {
					if (yych <= ';') goto yy183;
					goto yy193;
				} else {
					if (yych <= '\\') goto yy195;
					if (yych <= ']') goto yy183;
					goto yy193;
				}
			}
		}
yy210:
		YYDEBUG(210, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(211, *YYCURSOR);
		if (yych <= '&') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy183;
				if (yych <= '\f') goto yy193;
				goto yy183;
			} else {
				if (yych <= '"') {
					if (yych <= '!') goto yy193;
					goto yy183;
				} else {
					if (yych == '$') goto yy196;
					goto yy193;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '\'') goto yy183;
				if (yych <= '/') goto yy193;
				if (yych <= '9') goto yy210;
				goto yy193;
			} else {
				if (yych <= '[') {
					if (yych <= ';') goto yy183;
					goto yy193;
				} else {
					if (yych <= '\\') goto yy195;
					if (yych <= ']') goto yy183;
					goto yy193;
				}
			}
		}
yy212:
		YYDEBUG(212, *YYCURSOR);
		yyaccept = 2;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(213, *YYCURSOR);
		if (yych <= '&') {
			if (yych <= '\r') {
				if (yych == '\n') goto yy183;
				if (yych <= '\f') goto yy193;
				goto yy183;
			} else {
				if (yych <= '"') {
					if (yych <= '!') goto yy193;
					goto yy183;
				} else {
					if (yych == '$') goto yy196;
					goto yy193;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '\'') goto yy183;
				if (yych <= '/') goto yy193;
				if (yych <= '9') goto yy212;
				goto yy193;
			} else {
				if (yych <= '[') {
					if (yych <= ';') goto yy183;
					goto yy193;
				} else {
					if (yych <= '\\') goto yy195;
					if (yych <= ']') goto yy183;
					goto yy193;
				}
			}
		}
yy214:
		YYDEBUG(214, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(215, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy214;
		}
		YYDEBUG(216, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(217, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 339 "Zend/zend_ini_scanner.l"
		{ /* Raw string */
	/* Eat leading and trailing single quotes */
	if (yytext[0] == '\'' && yytext[yyleng - 1] == '\'') {
		SCNG(yy_text)++;
		yyleng = yyleng - 2;
	}
	RETURN_TOKEN(TC_RAW, yytext, yyleng);
}
#line 2528 "Zend/zend_ini_scanner.c"
yy218:
		YYDEBUG(218, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(219, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 369 "Zend/zend_ini_scanner.l"
		{ /* Variable start */
	yy_push_state(ST_VARNAME TSRMLS_CC);
	return TC_DOLLAR_CURLY;
}
#line 2539 "Zend/zend_ini_scanner.c"
yy220:
		YYDEBUG(220, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(221, *YYCURSOR);
		if (yych <= '"') {
			if (yych <= '\f') {
				if (yych <= 0x08) goto yy193;
				if (yych <= '\t') goto yy220;
				if (yych <= '\n') goto yy172;
				goto yy193;
			} else {
				if (yych <= 0x1F) {
					if (yych <= '\r') goto yy172;
					goto yy193;
				} else {
					if (yych <= ' ') goto yy220;
					if (yych <= '!') goto yy193;
				}
			}
		} else {
			if (yych <= ':') {
				if (yych <= '$') {
					if (yych <= '#') goto yy193;
					goto yy196;
				} else {
					if (yych == '\'') goto yy172;
					goto yy193;
				}
			} else {
				if (yych <= '[') {
					if (yych <= ';') goto yy172;
					goto yy193;
				} else {
					if (yych <= '\\') goto yy195;
					if (yych <= ']') goto yy172;
					goto yy193;
				}
			}
		}
yy222:
		YYDEBUG(222, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy177;
	}
/* *********************************** */
yyc_ST_VALUE:
	{
		static const unsigned char yybm[] = {
			160, 162, 162, 162, 162, 162, 162, 162, 
			162, 176, 128, 162, 162, 128, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			176, 160, 160, 162, 168, 162, 160,  32, 
			160, 160, 162, 162, 162, 162, 162, 162, 
			230, 230, 230, 230, 230, 230, 230, 230, 
			230, 230, 162, 160, 162, 160, 162, 162, 
			162, 166, 166, 166, 166, 166, 166, 166, 
			166, 166, 166, 166, 166, 166, 166, 166, 
			166, 166, 166, 166, 166, 166, 166, 166, 
			166, 166, 166, 162, 162, 162, 162, 166, 
			162, 166, 166, 166, 166, 166, 166, 166, 
			166, 166, 166, 166, 166, 166, 166, 166, 
			166, 166, 166, 166, 166, 166, 166, 166, 
			166, 166, 166, 162, 160, 162, 160, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
			162, 162, 162, 162, 162, 162, 162, 162, 
		};
		YYDEBUG(223, *YYCURSOR);
		YYFILL(6);
		yych = *YYCURSOR;
		YYDEBUG(-1, yych);
		switch (yych) {
		case 0x00:	goto yy225;
		case '\t':
		case ' ':	goto yy229;
		case '\n':	goto yy231;
		case '\r':	goto yy233;
		case '!':
		case '&':
		case '(':
		case ')':
		case '|':
		case '~':	goto yy234;
		case '"':	goto yy236;
		case '$':	goto yy238;
		case '\'':	goto yy239;
		case '-':	goto yy240;
		case '.':	goto yy241;
		case '0':
		case '1':
		case '2':
		case '3':
		case '4':
		case '5':
		case '6':
		case '7':
		case '8':
		case '9':	goto yy242;
		case ';':	goto yy244;
		case '=':	goto yy245;
		case 'A':
		case 'B':
		case 'C':
		case 'D':
		case 'E':
		case 'G':
		case 'H':
		case 'I':
		case 'J':
		case 'K':
		case 'L':
		case 'M':
		case 'P':
		case 'Q':
		case 'R':
		case 'S':
		case 'U':
		case 'V':
		case 'W':
		case 'X':
		case 'Z':
		case 'a':
		case 'b':
		case 'c':
		case 'd':
		case 'e':
		case 'g':
		case 'h':
		case 'i':
		case 'j':
		case 'k':
		case 'l':
		case 'm':
		case 'p':
		case 'q':
		case 'r':
		case 's':
		case 'u':
		case 'v':
		case 'w':
		case 'x':
		case 'z':	goto yy247;
		case 'F':
		case 'f':	goto yy249;
		case 'N':
		case 'n':	goto yy250;
		case 'O':
		case 'o':	goto yy251;
		case 'T':
		case 't':	goto yy252;
		case 'Y':
		case 'y':	goto yy253;
		default:	goto yy227;
		}
yy225:
		YYDEBUG(225, *YYCURSOR);
		++YYCURSOR;
yy226:
		YYDEBUG(226, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 488 "Zend/zend_ini_scanner.l"
		{ /* End of option value (if EOF is reached before EOL */
	BEGIN(INITIAL);
	return END_OF_LINE;
}
#line 2723 "Zend/zend_ini_scanner.c"
yy227:
		YYDEBUG(227, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy255;
yy228:
		YYDEBUG(228, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 445 "Zend/zend_ini_scanner.l"
		{ /* Get everything else as option/offset value */
	RETURN_TOKEN(TC_STRING, yytext, yyleng);
}
#line 2736 "Zend/zend_ini_scanner.c"
yy229:
		YYDEBUG(229, *YYCURSOR);
		yyaccept = 1;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy305;
yy230:
		YYDEBUG(230, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 468 "Zend/zend_ini_scanner.l"
		{
	RETURN_TOKEN(TC_WHITESPACE, yytext, yyleng);
}
#line 2749 "Zend/zend_ini_scanner.c"
yy231:
		YYDEBUG(231, *YYCURSOR);
		++YYCURSOR;
yy232:
		YYDEBUG(232, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 417 "Zend/zend_ini_scanner.l"
		{ /* End of option value */
	BEGIN(INITIAL);
	SCNG(lineno)++;
	return END_OF_LINE;
}
#line 2762 "Zend/zend_ini_scanner.c"
yy233:
		YYDEBUG(233, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy303;
		goto yy232;
yy234:
		YYDEBUG(234, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy302;
yy235:
		YYDEBUG(235, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 435 "Zend/zend_ini_scanner.l"
		{ /* Boolean operators */
	return yytext[0];
}
#line 2780 "Zend/zend_ini_scanner.c"
yy236:
		YYDEBUG(236, *YYCURSOR);
		++YYCURSOR;
yy237:
		YYDEBUG(237, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 453 "Zend/zend_ini_scanner.l"
		{ /* Double quoted '"' string start */
	yy_push_state(ST_DOUBLE_QUOTES TSRMLS_CC);
	return '"';
}
#line 2792 "Zend/zend_ini_scanner.c"
yy238:
		YYDEBUG(238, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych <= '\\') {
			if (yych <= 0x00) goto yy226;
			if (yych <= '[') goto yy254;
			goto yy261;
		} else {
			if (yych == '{') goto yy299;
			goto yy254;
		}
yy239:
		YYDEBUG(239, *YYCURSOR);
		yyaccept = 2;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy295;
		}
		goto yy226;
yy240:
		YYDEBUG(240, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '/') goto yy255;
		if (yych <= '9') goto yy293;
		goto yy255;
yy241:
		YYDEBUG(241, *YYCURSOR);
		yyaccept = 0;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '/') goto yy255;
		if (yych <= '9') goto yy291;
		goto yy255;
yy242:
		YYDEBUG(242, *YYCURSOR);
		yyaccept = 3;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '.') {
			if (yych <= '\r') {
				if (yych <= 0x08) {
					if (yych >= 0x01) goto yy255;
				} else {
					if (yych <= '\n') goto yy243;
					if (yych <= '\f') goto yy255;
				}
			} else {
				if (yych <= '%') {
					if (yych <= 0x1F) goto yy255;
					if (yych >= '#') goto yy255;
				} else {
					if (yych <= ')') goto yy243;
					if (yych <= '-') goto yy255;
					goto yy287;
				}
			}
		} else {
			if (yych <= '<') {
				if (yych <= '9') {
					if (yych <= '/') goto yy255;
					goto yy289;
				} else {
					if (yych != ';') goto yy255;
				}
			} else {
				if (yych <= '|') {
					if (yych <= '=') goto yy243;
					if (yych <= '{') goto yy255;
				} else {
					if (yych != '~') goto yy255;
				}
			}
		}
yy243:
		YYDEBUG(243, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 427 "Zend/zend_ini_scanner.l"
		{ /* Get number option value as string */
	RETURN_TOKEN(TC_NUMBER, yytext, yyleng);
}
#line 2872 "Zend/zend_ini_scanner.c"
yy244:
		YYDEBUG(244, *YYCURSOR);
		yyaccept = 2;
		yych = *(YYMARKER = ++YYCURSOR);
		goto yy283;
yy245:
		YYDEBUG(245, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(246, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 439 "Zend/zend_ini_scanner.l"
		{ /* Make = used in option value to trigger error */
	yyless(0);
	BEGIN(INITIAL);
	return END_OF_LINE;
}
#line 2889 "Zend/zend_ini_scanner.c"
yy247:
		YYDEBUG(247, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy256;
		}
		if (yych <= ')') {
			if (yych <= '\f') {
				if (yych <= 0x00) goto yy248;
				if (yych <= 0x08) goto yy255;
				if (yych >= '\v') goto yy255;
			} else {
				if (yych <= 0x1F) {
					if (yych >= 0x0E) goto yy255;
				} else {
					if (yych <= '"') goto yy248;
					if (yych <= '%') goto yy255;
				}
			}
		} else {
			if (yych <= '=') {
				if (yych == ';') goto yy248;
				if (yych <= '<') goto yy255;
			} else {
				if (yych <= '|') {
					if (yych <= '{') goto yy255;
				} else {
					if (yych != '~') goto yy255;
				}
			}
		}
yy248:
		YYDEBUG(248, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 423 "Zend/zend_ini_scanner.l"
		{ /* Get constant option value */
	RETURN_TOKEN(TC_CONSTANT, yytext, yyleng);
}
#line 2929 "Zend/zend_ini_scanner.c"
yy249:
		YYDEBUG(249, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '<') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy248;
					if (yych <= 0x08) goto yy255;
					goto yy248;
				} else {
					if (yych == '\r') goto yy248;
					if (yych <= 0x1F) goto yy255;
					goto yy248;
				}
			} else {
				if (yych <= '/') {
					if (yych <= '%') goto yy255;
					if (yych <= ')') goto yy248;
					goto yy255;
				} else {
					if (yych <= '9') goto yy256;
					if (yych == ';') goto yy248;
					goto yy255;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'A') {
					if (yych <= '=') goto yy248;
					if (yych <= '@') goto yy255;
					goto yy279;
				} else {
					if (yych <= 'Z') goto yy256;
					if (yych == '_') goto yy256;
					goto yy255;
				}
			} else {
				if (yych <= '{') {
					if (yych <= 'a') goto yy279;
					if (yych <= 'z') goto yy256;
					goto yy255;
				} else {
					if (yych == '}') goto yy255;
					if (yych <= '~') goto yy248;
					goto yy255;
				}
			}
		}
yy250:
		YYDEBUG(250, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'N') {
			if (yych <= '%') {
				if (yych <= '\f') {
					if (yych <= 0x00) goto yy248;
					if (yych <= 0x08) goto yy255;
					if (yych <= '\n') goto yy248;
					goto yy255;
				} else {
					if (yych <= '\r') goto yy248;
					if (yych <= 0x1F) goto yy255;
					if (yych <= '"') goto yy248;
					goto yy255;
				}
			} else {
				if (yych <= ':') {
					if (yych <= ')') goto yy248;
					if (yych <= '/') goto yy255;
					if (yych <= '9') goto yy256;
					goto yy255;
				} else {
					if (yych <= '<') {
						if (yych <= ';') goto yy248;
						goto yy255;
					} else {
						if (yych <= '=') goto yy248;
						if (yych <= '@') goto yy255;
						goto yy256;
					}
				}
			}
		} else {
			if (yych <= 'n') {
				if (yych <= 'Z') {
					if (yych <= 'O') goto yy275;
					if (yych == 'U') goto yy276;
					goto yy256;
				} else {
					if (yych == '_') goto yy256;
					if (yych <= '`') goto yy255;
					goto yy256;
				}
			} else {
				if (yych <= 'z') {
					if (yych <= 'o') goto yy275;
					if (yych == 'u') goto yy276;
					goto yy256;
				} else {
					if (yych <= '|') {
						if (yych <= '{') goto yy255;
						goto yy248;
					} else {
						if (yych == '~') goto yy248;
						goto yy255;
					}
				}
			}
		}
yy251:
		YYDEBUG(251, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= 'E') {
			if (yych <= '%') {
				if (yych <= '\f') {
					if (yych <= 0x00) goto yy248;
					if (yych <= 0x08) goto yy255;
					if (yych <= '\n') goto yy248;
					goto yy255;
				} else {
					if (yych <= '\r') goto yy248;
					if (yych <= 0x1F) goto yy255;
					if (yych <= '"') goto yy248;
					goto yy255;
				}
			} else {
				if (yych <= ':') {
					if (yych <= ')') goto yy248;
					if (yych <= '/') goto yy255;
					if (yych <= '9') goto yy256;
					goto yy255;
				} else {
					if (yych <= '<') {
						if (yych <= ';') goto yy248;
						goto yy255;
					} else {
						if (yych <= '=') goto yy248;
						if (yych <= '@') goto yy255;
						goto yy256;
					}
				}
			}
		} else {
			if (yych <= 'e') {
				if (yych <= 'Z') {
					if (yych <= 'F') goto yy270;
					if (yych == 'N') goto yy264;
					goto yy256;
				} else {
					if (yych == '_') goto yy256;
					if (yych <= '`') goto yy255;
					goto yy256;
				}
			} else {
				if (yych <= 'z') {
					if (yych <= 'f') goto yy270;
					if (yych == 'n') goto yy264;
					goto yy256;
				} else {
					if (yych <= '|') {
						if (yych <= '{') goto yy255;
						goto yy248;
					} else {
						if (yych == '~') goto yy248;
						goto yy255;
					}
				}
			}
		}
yy252:
		YYDEBUG(252, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy248;
					if (yych <= 0x08) goto yy255;
					goto yy248;
				} else {
					if (yych == '\r') goto yy248;
					if (yych <= 0x1F) goto yy255;
					goto yy248;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy255;
					if (yych <= ')') goto yy248;
					if (yych <= '/') goto yy255;
					goto yy256;
				} else {
					if (yych == ';') goto yy248;
					if (yych <= '<') goto yy255;
					goto yy248;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'R') {
					if (yych <= '@') goto yy255;
					if (yych <= 'Q') goto yy256;
					goto yy268;
				} else {
					if (yych <= 'Z') goto yy256;
					if (yych == '_') goto yy256;
					goto yy255;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'r') goto yy268;
					if (yych <= 'z') goto yy256;
					goto yy255;
				} else {
					if (yych == '}') goto yy255;
					if (yych <= '~') goto yy248;
					goto yy255;
				}
			}
		}
yy253:
		YYDEBUG(253, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy248;
					if (yych <= 0x08) goto yy255;
					goto yy248;
				} else {
					if (yych == '\r') goto yy248;
					if (yych <= 0x1F) goto yy255;
					goto yy248;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy255;
					if (yych <= ')') goto yy248;
					if (yych <= '/') goto yy255;
					goto yy256;
				} else {
					if (yych == ';') goto yy248;
					if (yych <= '<') goto yy255;
					goto yy248;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'E') {
					if (yych <= '@') goto yy255;
					if (yych <= 'D') goto yy256;
					goto yy258;
				} else {
					if (yych <= 'Z') goto yy256;
					if (yych == '_') goto yy256;
					goto yy255;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'e') goto yy258;
					if (yych <= 'z') goto yy256;
					goto yy255;
				} else {
					if (yych == '}') goto yy255;
					if (yych <= '~') goto yy248;
					goto yy255;
				}
			}
		}
yy254:
		YYDEBUG(254, *YYCURSOR);
		yyaccept = 0;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy255:
		YYDEBUG(255, *YYCURSOR);
		if (yybm[0+yych] & 2) {
			goto yy254;
		}
		if (yych == '$') goto yy259;
		goto yy228;
yy256:
		YYDEBUG(256, *YYCURSOR);
		yyaccept = 4;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(257, *YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy256;
		}
		if (yych <= '%') {
			if (yych <= '\r') {
				if (yych <= 0x08) {
					if (yych <= 0x00) goto yy248;
					goto yy254;
				} else {
					if (yych <= '\n') goto yy248;
					if (yych <= '\f') goto yy254;
					goto yy248;
				}
			} else {
				if (yych <= '"') {
					if (yych <= 0x1F) goto yy254;
					goto yy248;
				} else {
					if (yych == '$') goto yy259;
					goto yy254;
				}
			}
		} else {
			if (yych <= '=') {
				if (yych <= ':') {
					if (yych <= ')') goto yy248;
					goto yy254;
				} else {
					if (yych == '<') goto yy254;
					goto yy248;
				}
			} else {
				if (yych <= '|') {
					if (yych <= '{') goto yy254;
					goto yy248;
				} else {
					if (yych == '~') goto yy248;
					goto yy254;
				}
			}
		}
yy258:
		YYDEBUG(258, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy248;
					if (yych <= 0x08) goto yy255;
					goto yy248;
				} else {
					if (yych == '\r') goto yy248;
					if (yych <= 0x1F) goto yy255;
					goto yy248;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy255;
					if (yych <= ')') goto yy248;
					if (yych <= '/') goto yy255;
					goto yy256;
				} else {
					if (yych == ';') goto yy248;
					if (yych <= '<') goto yy255;
					goto yy248;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'S') {
					if (yych <= '@') goto yy255;
					if (yych <= 'R') goto yy256;
					goto yy264;
				} else {
					if (yych <= 'Z') goto yy256;
					if (yych == '_') goto yy256;
					goto yy255;
				}
			} else {
				if (yych <= '{') {
					if (yych == 's') goto yy264;
					if (yych <= 'z') goto yy256;
					goto yy255;
				} else {
					if (yych == '}') goto yy255;
					if (yych <= '~') goto yy248;
					goto yy255;
				}
			}
		}
yy259:
		YYDEBUG(259, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yych <= '\\') {
			if (yych <= 0x00) goto yy260;
			if (yych <= '[') goto yy254;
			goto yy261;
		} else {
			if (yych != '{') goto yy254;
		}
yy260:
		YYDEBUG(260, *YYCURSOR);
		YYCURSOR = YYMARKER;
		if (yyaccept <= 3) {
			if (yyaccept <= 1) {
				if (yyaccept <= 0) {
					goto yy228;
				} else {
					goto yy230;
				}
			} else {
				if (yyaccept <= 2) {
					goto yy226;
				} else {
					goto yy243;
				}
			}
		} else {
			if (yyaccept <= 5) {
				if (yyaccept <= 4) {
					goto yy248;
				} else {
					goto yy265;
				}
			} else {
				goto yy272;
			}
		}
yy261:
		YYDEBUG(261, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		if (yybm[0+yych] & 8) {
			goto yy262;
		}
		goto yy254;
yy262:
		YYDEBUG(262, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(263, *YYCURSOR);
		if (yybm[0+yych] & 8) {
			goto yy262;
		}
		if (yych <= 0x00) goto yy228;
		if (yych == '\\') goto yy261;
		goto yy254;
yy264:
		YYDEBUG(264, *YYCURSOR);
		yyaccept = 5;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy266;
		}
		if (yych <= ';') {
			if (yych <= ' ') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy265;
					if (yych <= '\t') goto yy255;
				} else {
					if (yych != '\r') goto yy255;
				}
			} else {
				if (yych <= ')') {
					if (yych <= '"') goto yy265;
					if (yych <= '%') goto yy255;
				} else {
					if (yych <= '/') goto yy255;
					if (yych <= '9') goto yy256;
					if (yych <= ':') goto yy255;
				}
			}
		} else {
			if (yych <= '_') {
				if (yych <= '@') {
					if (yych != '=') goto yy255;
				} else {
					if (yych <= 'Z') goto yy256;
					if (yych <= '^') goto yy255;
					goto yy256;
				}
			} else {
				if (yych <= '{') {
					if (yych <= '`') goto yy255;
					if (yych <= 'z') goto yy256;
					goto yy255;
				} else {
					if (yych == '}') goto yy255;
					if (yych >= 0x7F) goto yy255;
				}
			}
		}
yy265:
		YYDEBUG(265, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 383 "Zend/zend_ini_scanner.l"
		{ /* TRUE value (when used outside option value/offset this causes parse error!) */
	RETURN_TOKEN(BOOL_TRUE, "1", 1);
}
#line 3425 "Zend/zend_ini_scanner.c"
yy266:
		YYDEBUG(266, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(267, *YYCURSOR);
		if (yybm[0+yych] & 16) {
			goto yy266;
		}
		goto yy265;
yy268:
		YYDEBUG(268, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy248;
					if (yych <= 0x08) goto yy255;
					goto yy248;
				} else {
					if (yych == '\r') goto yy248;
					if (yych <= 0x1F) goto yy255;
					goto yy248;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy255;
					if (yych <= ')') goto yy248;
					if (yych <= '/') goto yy255;
					goto yy256;
				} else {
					if (yych == ';') goto yy248;
					if (yych <= '<') goto yy255;
					goto yy248;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'U') {
					if (yych <= '@') goto yy255;
					if (yych <= 'T') goto yy256;
				} else {
					if (yych <= 'Z') goto yy256;
					if (yych == '_') goto yy256;
					goto yy255;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'u') goto yy269;
					if (yych <= 'z') goto yy256;
					goto yy255;
				} else {
					if (yych == '}') goto yy255;
					if (yych <= '~') goto yy248;
					goto yy255;
				}
			}
		}
yy269:
		YYDEBUG(269, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy248;
					if (yych <= 0x08) goto yy255;
					goto yy248;
				} else {
					if (yych == '\r') goto yy248;
					if (yych <= 0x1F) goto yy255;
					goto yy248;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy255;
					if (yych <= ')') goto yy248;
					if (yych <= '/') goto yy255;
					goto yy256;
				} else {
					if (yych == ';') goto yy248;
					if (yych <= '<') goto yy255;
					goto yy248;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'E') {
					if (yych <= '@') goto yy255;
					if (yych <= 'D') goto yy256;
					goto yy264;
				} else {
					if (yych <= 'Z') goto yy256;
					if (yych == '_') goto yy256;
					goto yy255;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'e') goto yy264;
					if (yych <= 'z') goto yy256;
					goto yy255;
				} else {
					if (yych == '}') goto yy255;
					if (yych <= '~') goto yy248;
					goto yy255;
				}
			}
		}
yy270:
		YYDEBUG(270, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy248;
					if (yych <= 0x08) goto yy255;
					goto yy248;
				} else {
					if (yych == '\r') goto yy248;
					if (yych <= 0x1F) goto yy255;
					goto yy248;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy255;
					if (yych <= ')') goto yy248;
					if (yych <= '/') goto yy255;
					goto yy256;
				} else {
					if (yych == ';') goto yy248;
					if (yych <= '<') goto yy255;
					goto yy248;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'F') {
					if (yych <= '@') goto yy255;
					if (yych <= 'E') goto yy256;
				} else {
					if (yych <= 'Z') goto yy256;
					if (yych == '_') goto yy256;
					goto yy255;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'f') goto yy271;
					if (yych <= 'z') goto yy256;
					goto yy255;
				} else {
					if (yych == '}') goto yy255;
					if (yych <= '~') goto yy248;
					goto yy255;
				}
			}
		}
yy271:
		YYDEBUG(271, *YYCURSOR);
		yyaccept = 6;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yybm[0+yych] & 4) {
			goto yy256;
		}
		if (yych <= '%') {
			if (yych <= '\f') {
				if (yych <= 0x08) {
					if (yych >= 0x01) goto yy255;
				} else {
					if (yych <= '\t') goto yy273;
					if (yych >= '\v') goto yy255;
				}
			} else {
				if (yych <= 0x1F) {
					if (yych >= 0x0E) goto yy255;
				} else {
					if (yych <= ' ') goto yy273;
					if (yych >= '#') goto yy255;
				}
			}
		} else {
			if (yych <= '=') {
				if (yych <= ':') {
					if (yych >= '*') goto yy255;
				} else {
					if (yych == '<') goto yy255;
				}
			} else {
				if (yych <= '|') {
					if (yych <= '{') goto yy255;
				} else {
					if (yych != '~') goto yy255;
				}
			}
		}
yy272:
		YYDEBUG(272, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 387 "Zend/zend_ini_scanner.l"
		{ /* FALSE value (when used outside option value/offset this causes parse error!)*/
	RETURN_TOKEN(BOOL_FALSE, "", 0);
}
#line 3629 "Zend/zend_ini_scanner.c"
yy273:
		YYDEBUG(273, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(274, *YYCURSOR);
		if (yych == '\t') goto yy273;
		if (yych == ' ') goto yy273;
		goto yy272;
yy275:
		YYDEBUG(275, *YYCURSOR);
		yyaccept = 6;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '<') {
			if (yych <= ' ') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy272;
					if (yych <= 0x08) goto yy255;
					if (yych <= '\t') goto yy273;
					goto yy272;
				} else {
					if (yych == '\r') goto yy272;
					if (yych <= 0x1F) goto yy255;
					goto yy273;
				}
			} else {
				if (yych <= '/') {
					if (yych <= '"') goto yy272;
					if (yych <= '%') goto yy255;
					if (yych <= ')') goto yy272;
					goto yy255;
				} else {
					if (yych <= '9') goto yy256;
					if (yych == ';') goto yy272;
					goto yy255;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'N') {
					if (yych <= '=') goto yy272;
					if (yych <= '@') goto yy255;
					if (yych <= 'M') goto yy256;
					goto yy278;
				} else {
					if (yych <= 'Z') goto yy256;
					if (yych == '_') goto yy256;
					goto yy255;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'n') goto yy278;
					if (yych <= 'z') goto yy256;
					goto yy255;
				} else {
					if (yych == '}') goto yy255;
					if (yych <= '~') goto yy272;
					goto yy255;
				}
			}
		}
yy276:
		YYDEBUG(276, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy248;
					if (yych <= 0x08) goto yy255;
					goto yy248;
				} else {
					if (yych == '\r') goto yy248;
					if (yych <= 0x1F) goto yy255;
					goto yy248;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy255;
					if (yych <= ')') goto yy248;
					if (yych <= '/') goto yy255;
					goto yy256;
				} else {
					if (yych == ';') goto yy248;
					if (yych <= '<') goto yy255;
					goto yy248;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'L') {
					if (yych <= '@') goto yy255;
					if (yych <= 'K') goto yy256;
				} else {
					if (yych <= 'Z') goto yy256;
					if (yych == '_') goto yy256;
					goto yy255;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'l') goto yy277;
					if (yych <= 'z') goto yy256;
					goto yy255;
				} else {
					if (yych == '}') goto yy255;
					if (yych <= '~') goto yy248;
					goto yy255;
				}
			}
		}
yy277:
		YYDEBUG(277, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy248;
					if (yych <= 0x08) goto yy255;
					goto yy248;
				} else {
					if (yych == '\r') goto yy248;
					if (yych <= 0x1F) goto yy255;
					goto yy248;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy255;
					if (yych <= ')') goto yy248;
					if (yych <= '/') goto yy255;
					goto yy256;
				} else {
					if (yych == ';') goto yy248;
					if (yych <= '<') goto yy255;
					goto yy248;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'L') {
					if (yych <= '@') goto yy255;
					if (yych <= 'K') goto yy256;
					goto yy271;
				} else {
					if (yych <= 'Z') goto yy256;
					if (yych == '_') goto yy256;
					goto yy255;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'l') goto yy271;
					if (yych <= 'z') goto yy256;
					goto yy255;
				} else {
					if (yych == '}') goto yy255;
					if (yych <= '~') goto yy248;
					goto yy255;
				}
			}
		}
yy278:
		YYDEBUG(278, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy248;
					if (yych <= 0x08) goto yy255;
					goto yy248;
				} else {
					if (yych == '\r') goto yy248;
					if (yych <= 0x1F) goto yy255;
					goto yy248;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy255;
					if (yych <= ')') goto yy248;
					if (yych <= '/') goto yy255;
					goto yy256;
				} else {
					if (yych == ';') goto yy248;
					if (yych <= '<') goto yy255;
					goto yy248;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'E') {
					if (yych <= '@') goto yy255;
					if (yych <= 'D') goto yy256;
					goto yy271;
				} else {
					if (yych <= 'Z') goto yy256;
					if (yych == '_') goto yy256;
					goto yy255;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'e') goto yy271;
					if (yych <= 'z') goto yy256;
					goto yy255;
				} else {
					if (yych == '}') goto yy255;
					if (yych <= '~') goto yy248;
					goto yy255;
				}
			}
		}
yy279:
		YYDEBUG(279, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy248;
					if (yych <= 0x08) goto yy255;
					goto yy248;
				} else {
					if (yych == '\r') goto yy248;
					if (yych <= 0x1F) goto yy255;
					goto yy248;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy255;
					if (yych <= ')') goto yy248;
					if (yych <= '/') goto yy255;
					goto yy256;
				} else {
					if (yych == ';') goto yy248;
					if (yych <= '<') goto yy255;
					goto yy248;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'L') {
					if (yych <= '@') goto yy255;
					if (yych <= 'K') goto yy256;
				} else {
					if (yych <= 'Z') goto yy256;
					if (yych == '_') goto yy256;
					goto yy255;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'l') goto yy280;
					if (yych <= 'z') goto yy256;
					goto yy255;
				} else {
					if (yych == '}') goto yy255;
					if (yych <= '~') goto yy248;
					goto yy255;
				}
			}
		}
yy280:
		YYDEBUG(280, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy248;
					if (yych <= 0x08) goto yy255;
					goto yy248;
				} else {
					if (yych == '\r') goto yy248;
					if (yych <= 0x1F) goto yy255;
					goto yy248;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy255;
					if (yych <= ')') goto yy248;
					if (yych <= '/') goto yy255;
					goto yy256;
				} else {
					if (yych == ';') goto yy248;
					if (yych <= '<') goto yy255;
					goto yy248;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'S') {
					if (yych <= '@') goto yy255;
					if (yych <= 'R') goto yy256;
				} else {
					if (yych <= 'Z') goto yy256;
					if (yych == '_') goto yy256;
					goto yy255;
				}
			} else {
				if (yych <= '{') {
					if (yych == 's') goto yy281;
					if (yych <= 'z') goto yy256;
					goto yy255;
				} else {
					if (yych == '}') goto yy255;
					if (yych <= '~') goto yy248;
					goto yy255;
				}
			}
		}
yy281:
		YYDEBUG(281, *YYCURSOR);
		yyaccept = 4;
		yych = *(YYMARKER = ++YYCURSOR);
		if (yych <= '=') {
			if (yych <= '"') {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy248;
					if (yych <= 0x08) goto yy255;
					goto yy248;
				} else {
					if (yych == '\r') goto yy248;
					if (yych <= 0x1F) goto yy255;
					goto yy248;
				}
			} else {
				if (yych <= '9') {
					if (yych <= '%') goto yy255;
					if (yych <= ')') goto yy248;
					if (yych <= '/') goto yy255;
					goto yy256;
				} else {
					if (yych == ';') goto yy248;
					if (yych <= '<') goto yy255;
					goto yy248;
				}
			}
		} else {
			if (yych <= '`') {
				if (yych <= 'E') {
					if (yych <= '@') goto yy255;
					if (yych <= 'D') goto yy256;
					goto yy271;
				} else {
					if (yych <= 'Z') goto yy256;
					if (yych == '_') goto yy256;
					goto yy255;
				}
			} else {
				if (yych <= '{') {
					if (yych == 'e') goto yy271;
					if (yych <= 'z') goto yy256;
					goto yy255;
				} else {
					if (yych == '}') goto yy255;
					if (yych <= '~') goto yy248;
					goto yy255;
				}
			}
		}
yy282:
		YYDEBUG(282, *YYCURSOR);
		++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
yy283:
		YYDEBUG(283, *YYCURSOR);
		if (yybm[0+yych] & 32) {
			goto yy282;
		}
		if (yych >= '\r') goto yy286;
yy284:
		YYDEBUG(284, *YYCURSOR);
		++YYCURSOR;
yy285:
		YYDEBUG(285, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 482 "Zend/zend_ini_scanner.l"
		{ /* Comment */
	BEGIN(INITIAL);
	SCNG(lineno)++;
	return END_OF_LINE;
}
#line 4011 "Zend/zend_ini_scanner.c"
yy286:
		YYDEBUG(286, *YYCURSOR);
		yych = *++YYCURSOR;
		if (yych == '\n') goto yy284;
		goto yy285;
yy287:
		YYDEBUG(287, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(288, *YYCURSOR);
		if (yybm[0+yych] & 64) {
			goto yy287;
		}
		if (yych <= '%') {
			if (yych <= '\r') {
				if (yych <= 0x08) {
					if (yych <= 0x00) goto yy243;
					goto yy254;
				} else {
					if (yych <= '\n') goto yy243;
					if (yych <= '\f') goto yy254;
					goto yy243;
				}
			} else {
				if (yych <= '"') {
					if (yych <= 0x1F) goto yy254;
					goto yy243;
				} else {
					if (yych == '$') goto yy259;
					goto yy254;
				}
			}
		} else {
			if (yych <= '=') {
				if (yych <= ':') {
					if (yych <= ')') goto yy243;
					goto yy254;
				} else {
					if (yych == '<') goto yy254;
					goto yy243;
				}
			} else {
				if (yych <= '|') {
					if (yych <= '{') goto yy254;
					goto yy243;
				} else {
					if (yych == '~') goto yy243;
					goto yy254;
				}
			}
		}
yy289:
		YYDEBUG(289, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(290, *YYCURSOR);
		if (yych <= '-') {
			if (yych <= 0x1F) {
				if (yych <= '\n') {
					if (yych <= 0x00) goto yy243;
					if (yych <= 0x08) goto yy254;
					goto yy243;
				} else {
					if (yych == '\r') goto yy243;
					goto yy254;
				}
			} else {
				if (yych <= '$') {
					if (yych <= '"') goto yy243;
					if (yych <= '#') goto yy254;
					goto yy259;
				} else {
					if (yych <= '%') goto yy254;
					if (yych <= ')') goto yy243;
					goto yy254;
				}
			}
		} else {
			if (yych <= '<') {
				if (yych <= '9') {
					if (yych <= '.') goto yy287;
					if (yych <= '/') goto yy254;
					goto yy289;
				} else {
					if (yych == ';') goto yy243;
					goto yy254;
				}
			} else {
				if (yych <= '|') {
					if (yych <= '=') goto yy243;
					if (yych <= '{') goto yy254;
					goto yy243;
				} else {
					if (yych == '~') goto yy243;
					goto yy254;
				}
			}
		}
yy291:
		YYDEBUG(291, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(292, *YYCURSOR);
		if (yych <= ')') {
			if (yych <= '\r') {
				if (yych <= 0x08) {
					if (yych <= 0x00) goto yy243;
					goto yy254;
				} else {
					if (yych <= '\n') goto yy243;
					if (yych <= '\f') goto yy254;
					goto yy243;
				}
			} else {
				if (yych <= '#') {
					if (yych <= 0x1F) goto yy254;
					if (yych <= '"') goto yy243;
					goto yy254;
				} else {
					if (yych <= '$') goto yy259;
					if (yych <= '%') goto yy254;
					goto yy243;
				}
			}
		} else {
			if (yych <= '<') {
				if (yych <= '9') {
					if (yych <= '/') goto yy254;
					goto yy291;
				} else {
					if (yych == ';') goto yy243;
					goto yy254;
				}
			} else {
				if (yych <= '|') {
					if (yych <= '=') goto yy243;
					if (yych <= '{') goto yy254;
					goto yy243;
				} else {
					if (yych == '~') goto yy243;
					goto yy254;
				}
			}
		}
yy293:
		YYDEBUG(293, *YYCURSOR);
		yyaccept = 3;
		YYMARKER = ++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(294, *YYCURSOR);
		if (yych <= ')') {
			if (yych <= '\r') {
				if (yych <= 0x08) {
					if (yych <= 0x00) goto yy243;
					goto yy254;
				} else {
					if (yych <= '\n') goto yy243;
					if (yych <= '\f') goto yy254;
					goto yy243;
				}
			} else {
				if (yych <= '#') {
					if (yych <= 0x1F) goto yy254;
					if (yych <= '"') goto yy243;
					goto yy254;
				} else {
					if (yych <= '$') goto yy259;
					if (yych <= '%') goto yy254;
					goto yy243;
				}
			}
		} else {
			if (yych <= '<') {
				if (yych <= '9') {
					if (yych <= '/') goto yy254;
					goto yy293;
				} else {
					if (yych == ';') goto yy243;
					goto yy254;
				}
			} else {
				if (yych <= '|') {
					if (yych <= '=') goto yy243;
					if (yych <= '{') goto yy254;
					goto yy243;
				} else {
					if (yych == '~') goto yy243;
					goto yy254;
				}
			}
		}
yy295:
		YYDEBUG(295, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
		YYDEBUG(296, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy295;
		}
		YYDEBUG(297, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(298, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 339 "Zend/zend_ini_scanner.l"
		{ /* Raw string */
	/* Eat leading and trailing single quotes */
	if (yytext[0] == '\'' && yytext[yyleng - 1] == '\'') {
		SCNG(yy_text)++;
		yyleng = yyleng - 2;
	}
	RETURN_TOKEN(TC_RAW, yytext, yyleng);
}
#line 4232 "Zend/zend_ini_scanner.c"
yy299:
		YYDEBUG(299, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(300, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 369 "Zend/zend_ini_scanner.l"
		{ /* Variable start */
	yy_push_state(ST_VARNAME TSRMLS_CC);
	return TC_DOLLAR_CURLY;
}
#line 4243 "Zend/zend_ini_scanner.c"
yy301:
		YYDEBUG(301, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy302:
		YYDEBUG(302, *YYCURSOR);
		if (yych == '\t') goto yy301;
		if (yych == ' ') goto yy301;
		goto yy235;
yy303:
		YYDEBUG(303, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy232;
yy304:
		YYDEBUG(304, *YYCURSOR);
		yyaccept = 1;
		YYMARKER = ++YYCURSOR;
		YYFILL(2);
		yych = *YYCURSOR;
yy305:
		YYDEBUG(305, *YYCURSOR);
		if (yych <= 0x1F) {
			if (yych <= '\n') {
				if (yych <= 0x08) goto yy230;
				if (yych <= '\t') goto yy304;
				goto yy303;
			} else {
				if (yych == '\r') goto yy307;
				goto yy230;
			}
		} else {
			if (yych <= '"') {
				if (yych <= ' ') goto yy304;
				if (yych <= '!') goto yy230;
			} else {
				if (yych == ';') goto yy282;
				goto yy230;
			}
		}
		YYDEBUG(306, *YYCURSOR);
		yych = *++YYCURSOR;
		goto yy237;
yy307:
		YYDEBUG(307, *YYCURSOR);
		++YYCURSOR;
		if ((yych = *YYCURSOR) == '\n') goto yy303;
		goto yy232;
	}
/* *********************************** */
yyc_ST_VARNAME:
	{
		static const unsigned char yybm[] = {
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0, 128, 128,   0, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128,   0,   0,   0,   0,   0,   0, 
			  0, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128,   0,   0,   0,   0, 128, 
			  0, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128, 128, 128, 128, 128, 128, 
			128, 128, 128,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
			  0,   0,   0,   0,   0,   0,   0,   0, 
		};
		YYDEBUG(308, *YYCURSOR);
		YYFILL(2);
		yych = *YYCURSOR;
		if (yych <= 'Z') {
			if (yych <= '/') goto yy310;
			if (yych <= '9') goto yy312;
			if (yych >= 'A') goto yy312;
		} else {
			if (yych <= 'z') {
				if (yych >= 'a') goto yy312;
			} else {
				if (yych == '}') goto yy314;
			}
		}
yy310:
		YYDEBUG(310, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(311, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 493 "Zend/zend_ini_scanner.l"
		{
	return 0;
}
#line 4353 "Zend/zend_ini_scanner.c"
yy312:
		YYDEBUG(312, *YYCURSOR);
		++YYCURSOR;
		yych = *YYCURSOR;
		goto yy317;
yy313:
		YYDEBUG(313, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 374 "Zend/zend_ini_scanner.l"
		{ /* Variable name */
	RETURN_TOKEN(TC_VARNAME, yytext, yyleng);
}
#line 4366 "Zend/zend_ini_scanner.c"
yy314:
		YYDEBUG(314, *YYCURSOR);
		++YYCURSOR;
		YYDEBUG(315, *YYCURSOR);
		yyleng = YYCURSOR - SCNG(yy_text);
#line 378 "Zend/zend_ini_scanner.l"
		{ /* Variable end */
	yy_pop_state(TSRMLS_C);
	return '}';
}
#line 4377 "Zend/zend_ini_scanner.c"
yy316:
		YYDEBUG(316, *YYCURSOR);
		++YYCURSOR;
		YYFILL(1);
		yych = *YYCURSOR;
yy317:
		YYDEBUG(317, *YYCURSOR);
		if (yybm[0+yych] & 128) {
			goto yy316;
		}
		goto yy313;
	}
}
#line 497 "Zend/zend_ini_scanner.l"

}
